//Saibamaze. Fortune Cube

#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

//Screen
#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 64 // OLED display height, in pixels

// Declaration for an SSD1306 display connected to I2C (SDA, SCL pins)
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);

//LED
int ledPin = 2; 

//Sensor
int sensorPin = A1;
int sensorRead;

//Information
int numShakes = 0;

//Quotes
const char q1[] = "  Yes";
const char q2[] = "   No";
const char q3[] = " Maybe";
const char q4[] = " Try \n Again";
const char q5[] = " Possibly";
const char q6[] = " Nope";
const char q7[] = " Yes yes \n yes!";

const char* const quotes[] = {q1,q2,q3,q4,q5,q6,q7};

void setup() {
  randomSeed(analogRead(A2));
  
  //Screen
  Serial.begin(115200);

  if(!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) { // Address 0x3D for 128x64
    Serial.println(F("SSD1306 allocation failed"));
    for(;;);
  }
  delay(2000);
  display.clearDisplay();
  display.setTextSize(2);
  display.setTextColor(WHITE);
  display.setCursor(0, 0);

  //LED
  pinMode(ledPin, OUTPUT);
}

void readFortune(){
    display.clearDisplay();
    display.setCursor(0, 0);
    display.println("  (^o^)~");
    int randy = random(7);
    display.print(quotes[randy]);
    display.display(); 
    delay(5000);
    numShakes = 0;
}

void loop() {
  //digitalWrite(ledPin, LOW); to turn off
  sensorRead = analogRead(sensorPin);
  digitalWrite(ledPin, LOW);

  display.clearDisplay();
  display.setCursor(19, 10);
  display.println("FORTUNE");
  display.println("  TELLER");
  display.println("(^o^)-.+*");
  display.display(); 
  
  if (sensorRead > 1000){
    digitalWrite(ledPin, HIGH);
    display.clearDisplay();
    display.setCursor(5, 10);
    display.println("SHAKE MORE");
    display.println();
    display.println("  ~(o.o)~");
    display.display(); 
    numShakes++;
    if (numShakes == 4){//Change number of times they have to shake it.
      readFortune();
    }
    delay(700);
  }

}
